import socket
import time
import threading
import config as cfg
from connection.socket import SocketClient

class Bearer():

    def __init__(self, parser):
        self.parser = parser
        self.connector = None
        self.data = None
        print("\n\n Bearer,  \n ")

    def oracleInitial(self,data):
        try:
            time.sleep(3)
            self.connector = SocketClient(data["connector"][0],data["connector"][1],self.parser,"Bearer")
            self.data = data["data"]
        except Exception as exception :
            print("\33[41mAn exception occurred oracleInitial Bearer " ,exception,"\33[0m" )   

    def MPC(self,data):
        try:
            print("TODO") # TODO
        except Exception as exception :
            print("\33[41mAn exception occurred MPC Bearer " ,exception,"\33[0m" )   


            